From 0e591a78bc92fbcfb85c36b534829d73b5ef539f Mon Sep 17 00:00:00 2001
From: Sebastian Neuser <sebastian.neuser@camco.de>
Date: Mon, 10 Oct 2016 23:49:34 +0200
Subject: [PATCH] Fix python call graphs for multi-line function definitions

---
 src/pyscanner.l | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/src/pyscanner.l b/src/pyscanner.l
index 9c21d41..2cbccbc 100644
--- a/src/pyscanner.l
+++ b/src/pyscanner.l
@@ -77,6 +77,7 @@ static Entry*		current      = 0 ;
 static Entry*		previous     = 0 ;
 static Entry*		bodyEntry    = 0 ;
 static int		yyLineNr     = 1 ;
+static int		paramLines   = 0 ;
 static QCString		yyFileName;
 static MethodTypes 	mtype;
 static bool    		gstat;
@@ -983,13 +984,17 @@ STARTDOCSYMS      "##"
 			  g_specialBlock = TRUE; // expecting a docstring
 			  bodyEntry = current;
                           current->bodyLine  = yyLineNr;
+                          yyLineNr += paramLines;
+                          paramLines = 0;
                           BEGIN( FunctionBody );
                         }
     {POUNDCOMMENT}	{ // a comment
 			}
     {PARAMNONEMPTY}     { // Default rule inside arguments.
                         }
-
+    \n                  {
+                          paramLines++;
+                        }
 }
 
 <FunctionParamDefVal>{
-- 
2.1.4

